Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.3.1
    • Fix Version/s: 2.4.0, 3.0.1, 2.3.4
    • Component/s: None
    • Labels:
      None
    • Environment:

      windows/linux/jdk 1.7

      Description

        Issue Links

          Activity

          Hide
          christophg Christoph Gritschenberger added a comment - - edited

          Well, I think it's still just workaround, but good enough for now. I'll try provide a patch to aries.That's where the issue really is

          Show
          christophg Christoph Gritschenberger added a comment - - edited Well, I think it's still just workaround, but good enough for now. I'll try provide a patch to aries.That's where the issue really is
          Show
          jbonofre Jean-Baptiste Onofré added a comment - Fixed on karaf-2.3.x: https://git-wip-us.apache.org/repos/asf?p=karaf.git;a=commitdiff;h=04e68489dd4b793371b8bb523e97094bc999cf7a
          Show
          jbonofre Jean-Baptiste Onofré added a comment - Fixed on karaf-2.x: https://git-wip-us.apache.org/repos/asf?p=karaf.git;a=commitdiff;h=5848109c0bf5bbcd8a3a75df4be472901ba965b9
          Show
          jbonofre Jean-Baptiste Onofré added a comment - Fixed on master: https://git-wip-us.apache.org/repos/asf?p=karaf.git;a=commitdiff;h=768894019c6323f918e4b6a553f6cb02444f3953
          Hide
          jbonofre Jean-Baptiste Onofré added a comment -

          As we now provide some JPA features (OpenJPA and Hibernate for instance), we can define the start-level of the JPA implementation containers to start before the Aries JPA wrapper container.

          Show
          jbonofre Jean-Baptiste Onofré added a comment - As we now provide some JPA features (OpenJPA and Hibernate for instance), we can define the start-level of the JPA implementation containers to start before the Aries JPA wrapper container.
          Hide
          christophg Christoph Gritschenberger added a comment -

          A possible workaround is to assign the JPA-provider-bundle (e.g. OpenJPA) a lower startlevel than aries-jpa-container

          Show
          christophg Christoph Gritschenberger added a comment - A possible workaround is to assign the JPA-provider-bundle (e.g. OpenJPA) a lower startlevel than aries-jpa-container
          Hide
          christophg Christoph Gritschenberger added a comment -

          This is most likely related to https://issues.apache.org/jira/browse/ARIES-1018

          Show
          christophg Christoph Gritschenberger added a comment - This is most likely related to https://issues.apache.org/jira/browse/ARIES-1018

            People

            • Assignee:
              jbonofre Jean-Baptiste Onofré
              Reporter:
              danttran Dan Tran
            • Votes:
              1 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development